Skip to main content
`Ctrl`+`K`

# PetscPowReal

Returns the value of `a` raised to the power `b`, both `PetscReal`

## Synopsis

    #include <petscmath.h>
    PetscReal PetscPowReal(PetscReal a, PetscReal b)

Not Collective; No Fortran Support

## Input Parameters

- a - the value

- b - the value

## See Also

`PetscReal`, `PetscScalar`, `PetscComplex`, `PetscPowComplex()`, `PetscPowScalar()`

## Level

beginner

## Location

include/petscmath.h

## Examples

src/ksp/ksp/tutorials/ex56.c
src/snes/tutorials/ex55.c
src/snes/tutorials/ex5.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages